#pragma once
#include <typeinfo>

///Returns true if target is the exact same class type as source.
template <typename Source, typename Target>
bool instanceOf(Source* source, Target* target) {
    return typeid(*source) == typeid(*target);
}